Package org.zkoss.zk.ui

## Class GenericRichlet

- java.lang.Object
- - org.zkoss.zk.ui.GenericRichlet

- All Implemented Interfaces:
    `Richlet`

      public abstract class GenericRichlet
      extends java.lang.Object
      implements Richlet

  Defines a generic richlet. Developers can use it as a skeleton to implement an application-specific richlet.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericRichlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` | Called by the richlet container to indicate to a richlet that the richlet is being taken out of service.
    `LanguageDefinition` | `getLanguageDefinition()` | Returns the language definition that this richlet belongs to.
    `void` | `init​(RichletConfig config)` | Called by the richlet container to indicate to a richlet that the richlet is being placed into service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.zk.ui.Richlet

      `service`

- - ### Constructor Detail

    - #### GenericRichlet

          public GenericRichlet()

  - ### Method Detail

    - #### init

          public void init​(RichletConfig config)

      Called by the richlet container to indicate to a richlet that the richlet is being placed into service.

      Default: does nothing.

      Specified by:
        `init` in interface `Richlet`

    - #### destroy

          public void destroy()

      Called by the richlet container to indicate to a richlet that the richlet is being taken out of service.

      Default: does nothing.

      Specified by:
        `destroy` in interface `Richlet`

    - #### getLanguageDefinition

          public LanguageDefinition getLanguageDefinition()

      Returns the language definition that this richlet belongs to. Don't return null.

      It is called when creating a new page for this richlet to serve.

      Default: return the language definition called "xul/html".

      Specified by:
        `getLanguageDefinition` in interface `Richlet`